﻿@model Tuple<List<PortalTileView>, List<PortalTileTypeView>>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    bool _Update = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMChart.ToDescriptionString() && c.InternalKey == Enums.Actions.Update.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Add = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMChart.ToDescriptionString() && c.InternalKey == Enums.Actions.Add.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _Delete = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMChart.ToDescriptionString() && c.InternalKey == Enums.Actions.Delete.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<h1 class="page-header">@Tiles.Tls</h1>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Tiles.Tls</h3>
    </div>

    <div class="panel-body">
        <div class="table-responsive">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>Id @Tiles.Tile</th>
                        <th>@Tiles.TN</th>
                        <th>@Tiles.TT</th>
                        <th>&nbsp;</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (PortalTileView item in Model.Item1)
                    {
                        <tr>
                            <td>@item.IdTile</td>
                            <td>@item.TileName</td>
                            <td>@Model.Item2.Where(c => c.IdTileType == item.IdTileType).FirstOrDefault().TypeName</td>
                            <td>
                                @if (_Update)
                                {
                                    <a href='@Url.Action("TileCreator", "Tile", new { @ActionTileCreator = "Update", @pTileId = item.IdTile })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@News.Edit
                                    </a>
                                }
                                @if (_Delete)
                                {
                                    <button onclick="DeleteTile(@item.IdTile)" id="DeleteTile" class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-trash"></span>&nbsp;@News.Delete
                                    </button>
                                }
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
</div>
@if (_Add)
{
    <div class="but_blok_footer">
        <a href='@Url.Action("TileCreator", "Tile", new { @ActionTileCreator = "Add", @pTileId = 0 })' class="btn btn-success btn-ls pull-right margin-left ">
            <span class="glyphicon glyphicon-file"></span>&nbsp;@Tiles.AT
        </a>
    </div>
}

@Html.Partial("_MessagePartial", @Companies.AYSTYWTRTR)
@Scripts.Render("~/bundles/TileIndex")

